org.apache.ignite.internal.util.ipc.shmem

## Class IpcSharedMemoryInitRequest

- java.lang.Object
- - org.apache.ignite.internal.util.ipc.shmem.IpcSharedMemoryInitRequest

All Implemented Interfaces:
  Externalizable, Serializable

    public class IpcSharedMemoryInitRequest
    extends Object
    implements Externalizable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IpcSharedMemoryInitRequest()` Required by `Externalizable`.
`IpcSharedMemoryInitRequest(int pid)`

### Method Summary

Methods
`int` `pid()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IpcSharedMemoryInitRequest

    public IpcSharedMemoryInitRequest(int pid)

Parameters:
  `pid` - PID of the `client` party.

#### IpcSharedMemoryInitRequest

    public IpcSharedMemoryInitRequest()

Required by `Externalizable`.

### Method Detail

#### pid

    public int pid()

Returns:
  Sender PID.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016